Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 925043 - atf: Does not support aarch64 in f19 and rawhide
Summary: atf: Does not support aarch64 in f19 and rawhide
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: atf
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Julio Merino
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: ARM64, F-ExcludeArch-aarch64
TreeView+ depends on / blocked
 
Reported: 2013-03-23 00:04 UTC by Dennis Gilmore
Modified: 2014-06-22 18:15 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-22 18:15:50 UTC
Type: ---


Attachments (Terms of Use)

Description Dennis Gilmore 2013-03-23 00:04:37 UTC
Support for the ARM 64 bit CPU architecture (aarch64) was introduced in 
autoconf 2.69.  atf appears to use an earlier version of 
autoconf, preventing its being built.  This can be fixed in of three ways (In order of preference):

1. Work with upstream to migrate the package to autoconf 2.69.

2. Rerun autoconf or autoreconf in %prep or %build prior to running 
configure.

3. Apply the patch at http://ausil.fedorapeople.org/aarch64/atf/atf-aarch64.patch
which updates config.guess and config.sub to recognize aarch64.

Comment 1 Julio Merino 2013-04-19 22:09:07 UTC
Have you built and run the test suite successfully after the above steps?  I'm wondering if there are any other fixes to be made for aarch64.

At the moment I don't have any substantial changes in the pipeline to warrant a new release of ATF, so I might go for option 2 instead temporarily.

Thanks.


Note You need to log in before you can comment on or make changes to this bug.